<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package piclectic
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('break'); ?>>
	<header class="entry-header">
    	<?php
		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php piclectic_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
        
		<?php
		if ( is_single() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" class="transition-link" rel="bookmark">', '</a></h2>' );
		endif; ?>
	</header><!-- .entry-header -->
    
    <?php if ( has_post_thumbnail() ) : ?>
            <?php the_post_thumbnail( 'full', array( 'class' => 'featured-image') ); ?>
    <?php endif; ?>

	<div class="entry-content">
		<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'piclectic' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'piclectic' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php piclectic_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
